mscorlib 4.0.0.0 System.Object System.Obsolete("Type has been moved to System.Runtime.CompilerServices") These methods are called by code that has been rewritten by the Ccrewrite tool.

Provides methods that the binary rewriter uses to handle contract failures.

- Method
  4.0.0.0
  System.Diagnostics.DebuggerNonUserCode
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
  System.String `` `` `` ``

  The binary rewriter calls this method to notify listeners about a contract failure. The method does not perform the failure behavior (an assert or throw) itself. If the failure is handled by the listeners, the method returns null. If the failure is not handled by the listeners, a localized failure message is returned.

  Used by the binary rewriter to activate the default failure behavior.

  A null reference (Nothing in Visual Basic) if the event was handled and should not trigger a failure; otherwise, returns the localized failure message.

  The type of failure. Additional user information. The description of the condition that caused the failure. The inner exception that caused the current exception.
- Method
  4.0.0.0
  System.Diagnostics.DebuggerNonUserCode
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Void `` `` `` `` ``

  The default failure behavior is to raise an , which causes the Assert dialog box to be displayed. You can change that behavior to throw an instead of displaying the dialog box.

  Triggers the default failure behavior.

  The type of failure. The message to display. Additional user information. The description of the condition that caused the failure. The inner exception that caused the current exception.